---
type: api
title: Update a space
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-put-spaces-space-id
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-put-spaces-space-id
products:
  - Kibana
---

# Update a space

- Server: `https://{kibana_url}`

## Paths

- `PUT` `/api/spaces/space/{id}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `id` (string)
  The space identifier. You are unable to change the ID with the update operation.

## Request Body

`application/json`

- `_reserved` (boolean) — optional
- `color` (string) — optional
  The hexadecimal color code used in the space avatar. By default, the color is automatically generated from the space name.
- `description` (string) — optional
  A description for the space.
- `disabledFeatures` ([] string · default: []) — optional
- `id` (string) — required
  The space ID that is part of the Kibana URL when inside the space. Space IDs are limited to lowercase alphanumeric, underscore, and hyphen characters (a-z, 0-9, _, and -). You are cannot change the ID with the update operation.
- `imageUrl` (string) — optional
  The data-URL encoded image to display in the space avatar. If specified, initials will not be displayed and the color will be visible as the background color for transparent images. For best results, your image should be 64x64. Images will not be optimized by this API call, so care should be taken when using custom images.
- `initials` (string · max: 2) — optional
  One or two characters that are shown in the space avatar. By default, the initials are automatically generated from the space name.
- `name` (string · min: 1) — required
  The display name for the space.
- `solution` (enum) — optional
  Values: `security`, `oblt`, `es`, `classic`

## Response

Indicates a successful call.

## Code Examples

#### Console

```console
PUT /api/spaces/space/{id}
{
  "id": "marketing",
  "name": "Marketing",
  "description": "This is the Marketing Space",
  "color": "null",
  "initials": "MK",
  "disabledFeatures": [],
  "imageUrl": ""
}
```

#### curl

```curl
curl -X PUT "https://{kibana_url}/api/spaces/space/{id}" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '{
  "id": "marketing",
  "name": "Marketing",
  "description": "This is the Marketing Space",
  "color": "null",
  "initials": "MK",
  "disabledFeatures": [],
  "imageUrl": ""
}'
```

